package dorm

import (
	"errors"
	"fmt"
	"gitee.com/chunanyong/zorm"
	_ "github.com/mailru/go-clickhouse/v2"
)

func NewZormClickhouseClient(config *ConfigZormClient) (*ZormClient, error) {

	var err error
	c := &ZormClient{config: config}

	c.Db, err = zorm.NewDBDao(&zorm.DataSourceConfig{
		DSN:        c.config.Dns,
		DriverName: "chhttp",     // 数据库驱动名称
		DBType:     "clickhouse", // 数据库类型
	})
	if err != nil {
		return nil, errors.New(fmt.Sprintf("连接失败：%v", err))
	}

	return c, nil
}
