package dorm

import (
	"errors"
	"fmt"
	_ "gitee.com/chunanyong/dm"
	"gitee.com/chunanyong/zorm"
)

func NewZormDmClient(config *ConfigZormClient) (*ZormClient, error) {

	var err error
	c := &ZormClient{config: config}

	c.Db, err = zorm.NewDBDao(&zorm.DataSourceConfig{
		DSN:        c.config.Dns,
		DriverName: "dm", // 数据库驱动名称
		DBType:     "dm", // 数据库类型
	})
	if err != nil {
		return nil, errors.New(fmt.Sprintf("连接失败：%v", err))
	}

	return c, nil
}
